import { Directive } from '@angular/core';
import { Subject } from 'rxjs';
@Directive({})
export abstract class Destroyable {
    protected destroy$ = new Subject();

    ngOnDestroy() {
        this.destroy$.next();
        this.destroy$.complete();
    }
}
